Subject: bug#47581: 27.1; tab-bar missed mouse clicks on MS-Windows

From: Juri Linkov <[email-masked]>
Date: Mon, 12 Apr 2021 19:07:50 +0300

>> Sorry, I don't understand the need to remove the highlighting code.
>> Before the removal, the tab-bar button images reacted to mouse pointer
>> movements, and highlighted the buttons under the mouse pointer
>> using the pressed/released state DRAW_IMAGE_SUNKEN/RAISED.
>
> I didn't see any such effect, and couldn't find the code which
> supports this highlighting.  Please point out what I missed.

There was a clearly visible indication with raised images
on mouse pointer movements over the tab close buttons.

>> Now there is no visual feedback when the user moves the mouse pointer
>> over the buttons.  Doesn't seem like an improvement.
>
> There was no visual feedback before my changes on my system, so I
> really don't understand what you are describing.  Were you seeing that
> in a GTK build or a build without GTK?

The visual feedback was observable on GNU Linux build
with GTK+ Version 3.24.20, cairo version 1.16.0.

Maybe there were no such effects on a Windows build?